VULKAN_HPP_NAMESPACE::FlagTraits< ImageAspectFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum

{ allFlags = VkFlags(ImageAspectFlagBits::eColor) | VkFlags(ImageAspectFlagBits::eDepth) | VkFlags(ImageAspectFlagBits::eStencil) | VkFlags(ImageAspectFlagBits::eMetadata) | VkFlags(ImageAspectFlagBits::ePlane0) | VkFlags(ImageAspectFlagBits::ePlane1) | VkFlags(ImageAspectFlagBits::ePlane2) | VkFlags(ImageAspectFlagBits::eMemoryPlane0EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane1EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane2EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane3EXT) }

## Detailed Description

Definition at line 24736 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 24738 of file vulkan.hpp.

{
allFlags = VkFlags(ImageAspectFlagBits::eColor) | VkFlags(ImageAspectFlagBits::eDepth) | VkFlags(ImageAspectFlagBits::eStencil) | VkFlags(ImageAspectFlagBits::eMetadata) | VkFlags(ImageAspectFlagBits::ePlane0) | VkFlags(ImageAspectFlagBits::ePlane1) | VkFlags(ImageAspectFlagBits::ePlane2) | VkFlags(ImageAspectFlagBits::eMemoryPlane0EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane1EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane2EXT) | VkFlags(ImageAspectFlagBits::eMemoryPlane3EXT)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::ePlane0
@ ePlane0
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eMemoryPlane2EXT
@ eMemoryPlane2EXT
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eMemoryPlane3EXT
@ eMemoryPlane3EXT
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eMemoryPlane0EXT
@ eMemoryPlane0EXT
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eStencil
@ eStencil
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eMetadata
@ eMetadata
VULKAN_HPP_NAMESPACE::FlagTraits< ImageAspectFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:24740
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eColor
@ eColor
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::ePlane1
@ ePlane1
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::ePlane2
@ ePlane2
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eDepth
@ eDepth
VULKAN_HPP_NAMESPACE::ImageAspectFlagBits::eMemoryPlane1EXT
@ eMemoryPlane1EXT